%global         momorel 2

Name:           perl-IO-Socket-INET6
Version:        2.72
Release:        %{momorel}m%{?dist}
Summary:        Object interface for AF_INET/AF_INET6 domain sockets
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-Socket-INET6/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/IO-Socket-INET6-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008
BuildRequires:  perl-Carp
BuildRequires:  perl-Errno
BuildRequires:  perl-IO
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Socket
BuildRequires:  perl-Socket6 >= 0.12
BuildRequires:  perl-Test-Simple
Requires:       perl-Carp
Requires:       perl-Errno
Requires:       perl-IO
Requires:       perl-Socket
Requires:       perl-Socket6 >= 0.12
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
IO::Socket::INET6 provides an object interface to creating and using
sockets in either AF_INET or AF_INET6 domains. It is built upon the
IO::Socket interface and inherits all the methods defined by IO::Socket.

%prep
%setup -q -n IO-Socket-INET6-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/IO/Socket/INET6.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.72-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.72-1m)
- update to 2.72
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.71-2m)
- rebuild against perl-5.18.1

* Tue Jun 25 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.71-1m)
- update to 2.71

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.70-1m)
- update to 2.70
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.69-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.69-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.69-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.69-2m)
- rebuild against perl-5.16.0

* Mon Nov 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.69-1m)
- update to 2.69

* Mon Nov 28 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.68-1m)
- update to 2.68

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.67-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.67-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.67-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.67-2m)
- rebuild for new GCC 4.6

* Sat Jan 22 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.67-1m)
- update to 2.67

* Fri Jan 14 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.66-1m)
- update to 2.66

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.65-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.65-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.65-2m)
- full rebuild for mo7 release

* Fri Jun 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.65-1m)
- update to 2.65

* Tue Jun  8 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.64-1m)
- update to 2.64

* Sun May 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.63-1m)
- update to 2.63

* Fri May 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.62-1m)
- update to 2.62
- Specfile re-generated by cpanspec 1.78.

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.61-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.61-2m)
- rebuild against perl-5.12.0

* Fri Mar 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.61-1m)
- update to 2.61

* Sun Mar 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.59-1m)
- update to 2.59

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.57-2m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Wed Nov 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.57-1m)
- update to 2.57

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.56-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.56-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.56-2m)
- rebuild against rpm-4.6

* Sun Oct 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.56-1m)
- update to 2.56

* Sat Sep 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.55-1m)
- update to 2.55

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.54-2m)
- rebuild against gcc43

* Sat Feb 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.54-1m)
- update to 2.54

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.53-1m)
- update to 2.53

* Sun Feb 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.52-1m)
- update to 2.52

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.51-4m)
- use vendor

* Sun Jun 11 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.51-3m)
- modify %%files

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.51-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.51-1m)
- spec copied from http://dag.wieers.com/packages/perl-IO-Socket-INET6/

* Wed Mar 30 2005 Dag Wieers <dag@wieers.com> - 2.51-1
- Initial package. (using DAR)
